Bug 1772029 - Show error on invalid oidc issuer
Summary: Show error on invalid oidc issuer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Rahul Bajaj
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-13 13:38 UTC by Nikhil Kathole
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.0-0.14.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28086 Normal Closed Show error on invalid oidc issuer 2020-10-01 09:00:28 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Nikhil Kathole 2019-11-13 13:38:01 UTC
Description of problem:

If a valid issuer is not provided in the satellite settings, then there is no way a user can understand why SSO failed.

The method `valid_issuer?` in openid_connect.rb checks if a valid issuer is present or not. But if that fails authentication
flow ends with a error saying `SSO failed` but does not specify why.


Version-Release number of selected component (if applicable):
Satellite 6.7.0 snap 1


How reproducible:
always

Steps to Reproduce:
1) Provide a wrong issuer in the Satellite settings.
2) Try to login via SSO.


Actual results:


Expected results:


Additional info:

Comment 3 Bryan Kearney 2019-11-13 15:04:57 UTC
Upstream bug assigned to rabajaj@redhat.com

Comment 4 Rahul Bajaj 2019-11-20 17:38:57 UTC
Hello,

Please find the working PR here: https://projects.theforeman.org/issues/28086

Thanks,

Comment 5 Bryan Kearney 2019-11-24 13:05:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28086 has been resolved.

Comment 6 Tomer Brisker 2019-11-25 08:49:18 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28086 from this bug

Comment 10 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.